#!/bin/sh

# Regenerate humanity-icon-theme tarball without copyrighted Ubuntu logos.
# Original tarball can be found at:
# https://launchpad.net/ubuntu/+archive/primary/+files/humanity-icon-theme_$VERSION.tar.gz

VERSION=$1
ARCHIVE=humanity-icon-theme_$VERSION.tar.xz
FOLDER=humanity-icon-theme-$VERSION
PURGED_ARCHIVE=humanity-icon-theme-$VERSION-without-logos.tar.xz

curl -L -R -O https://launchpad.net/ubuntu/+archive/primary/+files/$ARCHIVE
tar -xJf $ARCHIVE
find $FOLDER/                           \
  \(                                    \
        -name "distributor-logo.*"      \
     -o -name "folder-ubuntu.*"         \
     -o -name "gnome-main-menu.*"       \
     -o -name "novell-button.*"         \
     -o -name "package-supported.*"     \
     -o -name "start-here.*"            \
     -o -name "ubiquity.*"              \
     -o -name "usb-creator*.*"          \
  \) -delete

# Delete dead icon symlinks
find -L $FOLDER/ -type l -delete

tar -cJf $PURGED_ARCHIVE $FOLDER/
rm -r $FOLDER
